Bug 6232 - Bug use not default Socket file
Bug use not default Socket file
Status: RESOLVED FIXED
Product: CTDB 2.5.x or older
Classification: Unclassified
Component: ctdb
unspecified
Other Other
: P3 normal
: ---
Assigned To: Michael Adam
Michael Adam
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-30 03:10 UTC by Sergey Taranenko
Modified: 2016-08-10 09:07 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Taranenko 2009-03-30 03:10:27 UTC
all script where used call to 'cdtb' not work if set CTDB_SOCKET in config
need patch 
sed -e "s:ctdb :ctdb --socket=\$CTDB_SOCKET :g" -i /etc/ctdb/*
also
echo " alias ctdb=\"ctdb --socket=\$CTDB_SOCKET\"" >> ~/.bashrc
Comment 1 Luk Claes 2011-05-13 16:56:42 UTC
I guess this was fixed with commit e11b6d (in version 1.0.85)?
Comment 2 Martin Schwenke 2016-08-10 09:07:23 UTC
Fixed long ago.  These days ctdbd_wrapper exports CTDB_SOCKET if it is set, so all calls to the ctdb tool will get it via an environment variable.

That said, the compile-time location of the socket is now sensible.  Changing it is not recommended, except in a test environment where you want to run multiple daemons on a single machine.